import 'dart:typed_data';

class AuthMessages {
  static final correctMessagePageZero = Uint8List.fromList([
    // Message Type = Auth, Protocol ver. = 2
    0x22,
    // Auth type = Message Set Signature, Page Number 0
    0x30,
    // Page Count
    0x00,
    // Auth Length - 17
    0x11,
    // Timestamp = 15:31:29 16/02/2023 (1676557889 unix seconds)
    0xC1, 0xEB, 0x18, 0xC0,
    // Auth Header
    0x01,
    // Auth Data
    0x49, 0x6D, 0x70, 0x6F, 0x72, 0x74, 0x61, 0x6E, 0x74, 0x20, 0x6D, 0x69,
    0x73, 0x73, 0x69, 0x6F,
  ]);

  static final correctMessagePageZeroWithPageCnt = Uint8List.fromList([
    // Message Type = Auth, Protocol ver. = 2
    0x22,
    // Auth Type = Message Set Signature, Page Number 0
    0x30,
    // Page Count 15
    0x0F,
    // Auth Length
    0x11,
    // Timestamp = 15:31:29 16/02/2023 (1676557889 unix seconds)
    0xC1, 0xEB, 0x18, 0xC0,
    // Auth Header
    0x01,
    // Auth Data
    0x49, 0x6D, 0x70, 0x6F, 0x72, 0x74, 0x61, 0x6E, 0x74, 0x20, 0x6D, 0x69,
    0x73, 0x73, 0x69, 0x6F,
  ]);

  static final correctMessagePageNonZero = Uint8List.fromList([
    // Message Type = Auth, Protocol ver. = 2
    0x22,
    // Auth Type = Message Set Signature, Page Number 1
    0x31,
    // Auth Header
    0x01,
    // Auth Data
    0x49, 0x6D, 0x70, 0x6F, 0x72, 0x74, 0x61, 0x6E, 0x74, 0x20, 0x6D, 0x69,
    0x73, 0x73, 0x69, 0x6F, 0x6F, 0xA2, 0x4F, 0x3B, 0x82, 0x49,
  ]);

  static final invalidAuthLenZeroPage = Uint8List.fromList([
    // Message Type = Auth, Protocol ver. = 2
    0x22,
    // Auth type = Message Set Signature, Page Number 0
    0x30,
    // Page Count
    0xFA,
    // Auth Length - 23
    0x17,
    // Timestamp = 15:31:29 16/02/2023 (1676557889 unix seconds)
    0xC1, 0xEB, 0x18, 0xC0,
    // Auth Header
    0x01,
    // Auth Data
    0x49, 0x6D, 0x70, 0x6F, 0x72, 0x74, 0x61, 0x6E, 0x74, 0x20, 0x6D, 0x69,
    0x73, 0x73, 0x69, 0x6F,
  ]);

  static final invalidAuthType = Uint8List.fromList([
    // Message Type = Auth, Protocol ver. = 2
    0x22,
    // Auth type = Message Set Signature, Page Number 0
    0x90,
    // Page Count
    0x00,
    // Auth Length - 23
    0x17,
    // Timestamp = 15:31:29 16/02/2023 (1676557889 unix seconds)
    0xC1, 0xEB, 0x18, 0xC0,
    // Auth Header
    0x01,
    // Auth Data
    0x49, 0x6D, 0x70, 0x6F, 0x72, 0x74, 0x61, 0x6E, 0x74, 0x20, 0x6D, 0x69,
    0x73, 0x73, 0x69, 0x6F,
  ]);

  // Captured messages from the Aeroentry device
  static final aeroentryCapturedMessage1 = Uint8List.fromList([
    0x20,
    0x30,
    0x00,
    0x11,
    0x00,
    0x77,
    0x4E,
    0x3A,
    0x00,
    0x69,
    0xEB,
    0x4D,
    0x25,
    0xF8,
    0x0A,
    0x15,
    0xD8,
    0xF5,
    0x2B,
    0x82,
    0xF7,
    0x00,
    0x00,
    0x00,
    0x00,
  ]);

  static final aeroentryCapturedMessage2 = Uint8List.fromList([
    0x20,
    0x30,
    0x00,
    0x11,
    0xca,
    0xcb,
    0x8f,
    0x09,
    0x00,
    0xf5,
    0x9f,
    0x9a,
    0xd2,
    0x04,
    0x9e,
    0xf5,
    0xcc,
    0x33,
    0x73,
    0x90,
    0xd1,
    0x00,
    0x00,
    0x00,
    0x00,
  ]);
}
